---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/liblocaltab005.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50F30, symBinAddr: 0xC450, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52E70, symBinAddr: 0xE390, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x53260, symBinAddr: 0xE780, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54200, symBinAddr: 0xF720, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54210, symBinAddr: 0xF730, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50BA0, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50BA4, symBinAddr: 0xC314, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50BA8, symBinAddr: 0xC318, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50D00, symBinAddr: 0xC320, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50DB8, symBinAddr: 0xC3D8, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50DBC, symBinAddr: 0xC3DC, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50DC0, symBinAddr: 0xC3E0, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50DC4, symBinAddr: 0xC3E4, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50DC8, symBinAddr: 0xC3E8, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50DD0, symBinAddr: 0xC3F0, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50DE0, symBinAddr: 0xC400, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50DE8, symBinAddr: 0xC408, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50DF0, symBinAddr: 0xC410, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50DF8, symBinAddr: 0xC418, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50E00, symBinAddr: 0xC420, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50E08, symBinAddr: 0xC428, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50E50, symBinAddr: 0xC430, symSize: 0x0 }
  - { offsetInCU: 0x90F0, offset: 0x90F0, size: 0x8, addend: 0x0, symName: __ZL8methInfo, symObjAddr: 0xE630, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x91A8, offset: 0x91A8, size: 0x8, addend: 0x0, symName: __ZL9constr_lv, symObjAddr: 0xE6C0, symBinAddr: 0xC130, symSize: 0x0 }
  - { offsetInCU: 0x91CD, offset: 0x91CD, size: 0x8, addend: 0x0, symName: __ZL10insMeth_lv, symObjAddr: 0xE770, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x91E6, offset: 0x91E6, size: 0x8, addend: 0x0, symName: __ZL11statMeth_lv, symObjAddr: 0xE820, symBinAddr: 0xC290, symSize: 0x0 }
  - { offsetInCU: 0x920B, offset: 0x920B, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50E60, symBinAddr: 0xC440, symSize: 0x0 }
  - { offsetInCU: 0x925D, offset: 0x925D, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3480, symSize: 0x80 }
  - { offsetInCU: 0x92F2, offset: 0x92F2, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x33D0, symSize: 0xB0 }
  - { offsetInCU: 0x934D, offset: 0x934D, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x32D0, symSize: 0x100 }
  - { offsetInCU: 0x95E0, offset: 0x95E0, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x3500, symSize: 0xC0 }
  - { offsetInCU: 0x9632, offset: 0x9632, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x35C0, symSize: 0x220 }
  - { offsetInCU: 0x9817, offset: 0x9817, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x37E0, symSize: 0xA0 }
  - { offsetInCU: 0x98CA, offset: 0x98CA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3880, symSize: 0x110 }
  - { offsetInCU: 0x99C0, offset: 0x99C0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3990, symSize: 0x150 }
  - { offsetInCU: 0x9B1D, offset: 0x9B1D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3AE0, symSize: 0x30 }
  - { offsetInCU: 0x9BC6, offset: 0x9BC6, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3B10, symSize: 0x150 }
  - { offsetInCU: 0x9DBE, offset: 0x9DBE, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3C60, symSize: 0x160 }
  - { offsetInCU: 0xA07E, offset: 0xA07E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3DC0, symSize: 0x4A0 }
  - { offsetInCU: 0xA2F1, offset: 0xA2F1, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4260, symSize: 0x1B0 }
  - { offsetInCU: 0xA50C, offset: 0xA50C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x4410, symSize: 0xA0 }
  - { offsetInCU: 0xA5DB, offset: 0xA5DB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x44B0, symSize: 0x20 }
  - { offsetInCU: 0xA612, offset: 0xA612, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x44D0, symSize: 0x20 }
  - { offsetInCU: 0xA649, offset: 0xA649, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x44F0, symSize: 0x20 }
  - { offsetInCU: 0xA7B8, offset: 0xA7B8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x4510, symSize: 0x1A0 }
  - { offsetInCU: 0xAAD4, offset: 0xAAD4, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x46B0, symSize: 0x130 }
  - { offsetInCU: 0xAC84, offset: 0xAC84, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x47E0, symSize: 0x80 }
  - { offsetInCU: 0xAD4D, offset: 0xAD4D, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4860, symSize: 0x6A0 }
  - { offsetInCU: 0xB8E2, offset: 0xB8E2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA3A0, symBinAddr: 0x5D90, symSize: 0xB0 }
  - { offsetInCU: 0xB959, offset: 0xB959, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4F00, symSize: 0x70 }
  - { offsetInCU: 0xBA15, offset: 0xBA15, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4F70, symSize: 0xA0 }
  - { offsetInCU: 0xBB14, offset: 0xBB14, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x5010, symSize: 0x40 }
  - { offsetInCU: 0xBC0A, offset: 0xBC0A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5050, symSize: 0x2B0 }
  - { offsetInCU: 0xBFB0, offset: 0xBFB0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5300, symSize: 0xC0 }
  - { offsetInCU: 0xC0F6, offset: 0xC0F6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x53C0, symSize: 0x10 }
  - { offsetInCU: 0xC1B8, offset: 0xC1B8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x53D0, symSize: 0x220 }
  - { offsetInCU: 0xC4B5, offset: 0xC4B5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x55F0, symSize: 0x10 }
  - { offsetInCU: 0xC512, offset: 0xC512, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5600, symSize: 0x210 }
  - { offsetInCU: 0xC74B, offset: 0xC74B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9E20, symBinAddr: 0x5810, symSize: 0x10 }
  - { offsetInCU: 0xC869, offset: 0xC869, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_GetLocalVariableTable_localtab005_check, symObjAddr: 0x9E30, symBinAddr: 0x5820, symSize: 0x570 }
  - { offsetInCU: 0xCB9F, offset: 0xCB9F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA450, symBinAddr: 0x5E40, symSize: 0x36A }
...
